# Conversation\_categories

Conversation category related APIs

## GET /webapi/v2/conversation\_categories

> 대화 카테고리 목록

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"conversation_categories","description":"Conversation category related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationCategoriesResponse":{"properties":{"categories":{"items":{"$ref":"#/components/schemas/ConversationCategoryResponse"},"title":"Categories","type":"array"}},"required":["categories"],"title":"ConversationCategoriesResponse","type":"object"},"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"카테고리의 고유 ID","title":"Categoryid","type":"string"},"name":{"description":"카테고리 이름","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"get":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_list_conversation_categories","summary":"대화 카테고리 목록","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"네","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoriesResponse"}}}}},"tags":["conversation_categories"]}}}}
```

## POST /webapi/v2/conversation\_categories

> 대화 카테고리 생성

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"conversation_categories","description":"Conversation category related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"ConversationCategoryResponse":{"properties":{"categoryId":{"description":"카테고리의 고유 ID","title":"Categoryid","type":"string"},"name":{"description":"카테고리 이름","title":"Name","type":"string"}},"required":["categoryId","name"],"title":"ConversationCategoryResponse","type":"object"},"CreateConversationCategoryRequest":{"properties":{"name":{"title":"Name","type":"string"}},"required":["name"],"title":"CreateConversationCategoryRequest","type":"object"}}},"paths":{"/webapi/v2/conversation_categories":{"post":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_create_conversation_category","summary":"대화 카테고리 생성","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"알겠습니다.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationCategoryResponse"}}}}},"tags":["conversation_categories"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConversationCategoryRequest"}}},"required":true}}}}}
```

## DELETE /webapi/v2/conversation\_categories/{conversation\_category\_id}

> 대화 카테고리 삭제

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"conversation_categories","description":"Conversation category related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/conversation_categories/{conversation_category_id}":{"delete":{"operationId":"django_server_llm_app_views_rest_conversation_category_api_delete_conversation_category","summary":"대화 카테고리 삭제","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"conversation_category_id","schema":{"title":"Conversation Category Id","type":"string"},"required":true}],"responses":{"200":{"description":"확인"}},"tags":["conversation_categories"]}}}}
```
